aboutsummaryrefslogtreecommitdiffstats
path: root/bin/execute_command
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-05-15 08:50:49 +0000
committersigoden <sigoden@gmail.com>2024-05-16 00:39:29 +0000
commit281bf5623dbf88b176801f3a780820801e15e70d (patch)
tree2129e5078afe2cce2a17e43715731607131e3602 /bin/execute_command
downloadllm-functions-docker-281bf5623dbf88b176801f3a780820801e15e70d.tar.gz
init commit
Diffstat (limited to 'bin/execute_command')
-rwxr-xr-xbin/execute_command11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/execute_command b/bin/execute_command
new file mode 100755
index 0000000..fab84bd
--- /dev/null
+++ b/bin/execute_command
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Executes a shell command and returns the output.
+# @option --shell-command~ "Shell command to execute, such as `ls -la`"
+
+main() {
+ eval $argc_shell_command
+}
+
+eval "$(argc --argc-eval "$0" "$@")"